%define major		13
%define gi_major	3.0
%define api 3

%define libname		%mklibname %{name} %api %{major}
%define develname	%mklibname -d %{name} %api
%define girname		%mklibname %{name}-gir %api %{gi_major}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Epoch:		1
Version:	42.5
Release: 	%mkrel 1
#gw lib is LGPL, main app is GPL
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Projects/GnomeBluetooth
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gmodule-export-2.0)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(libnotify) >= 0.7.0
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(upower-glib)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.5
BuildRequires:	libadwaita-devel
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	python3-dbusmock >= 0.25.0-3
Requires:	bluez
Requires:	obexd
Requires:	pulseaudio-module-bluetooth
Provides:	bluez-pin

%description
The gnome-bluetooth package contains graphical utilities to setup,
monitor and use Bluetooth devices.

%package -n %{libname}
Group:		System/Libraries
Summary: 	GNOME bluetooth library
Conflicts:	%{_lib}gnome-bluetooth7 < 1:2.31

%description -n %{libname}
Library from GNOME-Bluetooth.

%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface for %{name}
Requires:	%{libname} = %{epoch}:%{version}-%{release}

%description -n %{girname}
GObject Introspection interface for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Development files and header files from %{name}
Provides:	lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	%{name}-devel = %{epoch}:%{version}-%{release}
Provides:	libgnomebt-devel = %{epoch}:%{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{girname} = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files and header files from %{name}.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
# ovitters workaround stupid gdbus-codegen bug, see https://bugzilla.gnome.org/show_bug.cgi?id=787032
export PATH=/usr/bin:$PATH
%meson \
	-Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang gnome-bluetooth-3.0

%files -f gnome-bluetooth-3.0.lang
%doc README.md NEWS
%{_bindir}/bluetooth-sendto
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-bluetooth-3.0/
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/lib%{name}*-3.0.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GnomeBluetooth-3.0.typelib

%files -n %{develname}
%{_includedir}/gnome-bluetooth-3.0/
%{_libdir}/libgnome-bluetooth-3.0.so
%{_libdir}/libgnome-bluetooth-ui-3.0.so
%{_libdir}/pkgconfig/gnome-bluetooth-3.0.pc
%{_libdir}/pkgconfig/gnome-bluetooth-ui-3.0.pc
%{_datadir}/gir-1.0/GnomeBluetooth-%{gi_major}.gir
%{_datadir}/gtk-doc


%changelog
* Tue Dec 13 2022 tv <tv> 1:42.5-1.mga9
+ Revision: 1921684
- 42.5

* Mon Sep 05 2022 ovitters <ovitters> 1:42.4-1.mga9
+ Revision: 1884270
- new version 42.4

* Wed Aug 24 2022 ovitters <ovitters> 1:42.3-1.mga9
+ Revision: 1879958
- new version 42.3

* Thu Jul 07 2022 ovitters <ovitters> 1:42.2-1.mga9
+ Revision: 1867892
- new version 42.2

* Thu Jun 09 2022 ovitters <ovitters> 1:42.1-1.mga9
+ Revision: 1863756
- new version 42.1

* Sat Mar 19 2022 tv <tv> 1:42.0-1.mga9
+ Revision: 1801627
- Update to 42.0

* Wed Mar 16 2022 tv <tv> 1:42~rc-2.mga9
+ Revision: 1794404
- Rename pkgs vs gnome-bluetooth3.34

* Wed Mar 16 2022 tv <tv> 1:42~rc-1.mga9
+ Revision: 1794325
- Update to 42.rc

* Fri May 21 2021 ovitters <ovitters> 1:3.34.5-1.mga9
+ Revision: 1725923
- new version 3.34.5
- new version 3.34.4

* Thu Oct 01 2020 ovitters <ovitters> 1:3.34.3-1.mga8
+ Revision: 1631437
- new version 3.34.3

* Wed Sep 23 2020 tv <tv> 1:3.34.2-1.mga8
+ Revision: 1629521
- fix filelist
+ ovitters <ovitters>
- new version 3.34.2

* Mon Mar 09 2020 ovitters <ovitters> 1:3.34.1-1.mga8
+ Revision: 1555054
- new version 3.34.1

* Sun Feb 16 2020 umeabot <umeabot> 1:3.34.0-2.mga8
+ Revision: 1530916
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 ovitters <ovitters> 1:3.34.0-1.mga8
+ Revision: 1437780
- new version 3.34.0

* Mon Aug 05 2019 ovitters <ovitters> 1:3.33.90-1.mga8
+ Revision: 1427405
- new version 3.33.90

* Wed Apr 17 2019 umeabot <umeabot> 1:3.32.1-2.mga7
+ Revision: 1392266
- Rebuild with meson 0.50.1

* Wed Mar 27 2019 daviddavid <daviddavid> 1:3.32.1-1.mga7
+ Revision: 1380528
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 1:3.32.0-1.mga7
+ Revision: 1374025
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 1:3.31.1-1.mga7
+ Revision: 1372457
- new version 3.31.1

* Tue Oct 23 2018 joequant <joequant> 1:3.28.2-3.mga7
+ Revision: 1324649
- rebuild for blueberry

* Sun Sep 02 2018 joequant <joequant> 1:3.28.2-2.mga7
+ Revision: 1256244
- rebuild to fix upgrade problems with atk

* Wed Aug 01 2018 ovitters <ovitters> 1:3.28.2-1.mga7
+ Revision: 1246651
- new version 3.28.2

* Thu Jul 19 2018 ovitters <ovitters> 1:3.28.1-1.mga7
+ Revision: 1244309
- new version 3.28.1

* Mon Mar 12 2018 ovitters <ovitters> 1:3.28.0-1.mga7
+ Revision: 1208530
- new version 3.28.0

* Mon Mar 05 2018 ovitters <ovitters> 1:3.27.92-1.mga7
+ Revision: 1206695
- new version 3.27.92

* Fri Feb 16 2018 ovitters <ovitters> 1:3.27.90-1.mga7
+ Revision: 1201623
- new version 3.27.90

* Fri Sep 15 2017 ovitters <ovitters> 1:3.26.1-1.mga7
+ Revision: 1154434
- new version 3.26.1

* Mon Sep 11 2017 ovitters <ovitters> 1:3.26.0-1.mga7
+ Revision: 1152815
- new version 3.26.0

* Thu Aug 31 2017 ovitters <ovitters> 1:3.25.91-1.mga7
+ Revision: 1149435
- add workaround for gdbus-codegen bug
- switch to meson
- new version 3.25.91

* Mon Feb 13 2017 ovitters <ovitters> 1:3.20.1-1.mga6
+ Revision: 1086041
- new version 3.20.1

* Fri Nov 18 2016 daviddavid <daviddavid> 1:3.20.0-2.mga6
+ Revision: 1068144
- add missing BR on pkgconfig(udev)

* Mon Jun 27 2016 ovitters <ovitters> 1:3.20.0-1.mga6
+ Revision: 1037927
- new version 3.20.0

* Mon Mar 21 2016 ovitters <ovitters> 1:3.18.3-1.mga6
+ Revision: 993526
- new version 3.18.3

* Mon Jan 18 2016 ovitters <ovitters> 1:3.18.2-1.mga6
+ Revision: 925499
- new version 3.18.2

* Tue Nov 10 2015 ovitters <ovitters> 1:3.18.1-1.mga6
+ Revision: 900971
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 1:3.18.0-1.mga6
+ Revision: 882703
- new release

* Mon Sep 14 2015 ovitters <ovitters> 1:3.17.92-1.mga6
+ Revision: 879371
- new version 3.17.92
+ fwang <fwang>
- cleanup spec

* Tue Aug 18 2015 fwang <fwang> 1:3.17.90-1.mga6
+ Revision: 865513
- 3.17.90

* Mon Jun 29 2015 wally <wally> 1:3.16.1-3.mga6
+ Revision: 847747
- remove last remains of applet subpkg from .spec

* Mon Jun 29 2015 wally <wally> 1:3.16.1-2.mga6
+ Revision: 847389
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 1:3.16.1-1.mga6
+ Revision: 838436
- new version 3.16.1

* Sat Jun 20 2015 ovitters <ovitters> 1:3.14.1-1.mga6
+ Revision: 836299
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 1:3.14.0-3.mga5
+ Revision: 748155
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 1:3.14.0-2.mga5
+ Revision: 731143
- rebuild so that it picks typelib() requires

* Mon Sep 22 2014 ovitters <ovitters> 1:3.14.0-1.mga5
+ Revision: 719234
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 1:3.13.90-2.mga5
+ Revision: 679700
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 ovitters <ovitters> 1:3.13.90-1.mga5
+ Revision: 665137
- new version 3.13.90
- dropped merged patch 1

* Mon Mar 31 2014 joequant <joequant> 1:3.12.0-3.mga5
+ Revision: 610728
- remove requires for applet package which no longer exists

* Wed Mar 26 2014 ovitters <ovitters> 1:3.12.0-2.mga5
+ Revision: 608883
- fix url

* Wed Mar 26 2014 ovitters <ovitters> 1:3.12.0-1.mga5
+ Revision: 608878
- drop applet subpackages (removed upstream)
- update major
- add upstream patch to fix build
- new version 3.12.0
- new version 3.11.91
- new version 3.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:3.10.0-3.mga4
+ Revision: 540793
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 dams <dams> 1:3.10.0-2.mga4
+ Revision: 494321
- remove 'gvfs-obexftp' as require

* Mon Sep 23 2013 ovitters <ovitters> 1:3.10.0-1.mga4
+ Revision: 483843
- new version 3.10.0

* Wed Sep 04 2013 ovitters <ovitters> 1:3.9.91-1.mga4
+ Revision: 475150
- new version 3.9.91

* Sun Jul 28 2013 dams <dams> 1:3.9.3-1.mga4
+ Revision: 459212
- new version 3.9.3
- update major

* Mon Jun 03 2013 ovitters <ovitters> 1:3.8.1-1.mga4
+ Revision: 436739
- new version 3.8.1

* Fri May 24 2013 ovitters <ovitters> 1:3.8.0-1.mga4
+ Revision: 426779
- drop nautilus-sendto-bluetooth subpackage (removed upstream)
- new version 3.8.0

* Sun Feb 10 2013 colin <colin> 1:3.6.1-4.mga3
+ Revision: 397737
- Add BR for Nautilus plugin
- Re-enable nautilus plugin (disabled in r267843 - seems to build fine now)
- Fix udev rules for systemd uaccess rules (rather than legacy udev-acl)

* Tue Jan 15 2013 colin <colin> 1:3.6.1-3.mga3
+ Revision: 388321
- Fix udev rules.d dir

* Sat Jan 12 2013 umeabot <umeabot> 1:3.6.1-2.mga3
+ Revision: 352058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 ovitters <ovitters> 1:3.6.1-1.mga3
+ Revision: 318221
- new version 3.6.1

* Tue Sep 25 2012 ovitters <ovitters> 1:3.6.0-1.mga3
+ Revision: 297503
- new version 3.6.0

* Tue Sep 18 2012 fwang <fwang> 1:3.5.92-1.mga3
+ Revision: 295755
- update file lit
- add br
- br itstool
+ ovitters <ovitters>
- new version 3.5.92

* Thu Aug 09 2012 ovitters <ovitters> 1:3.5.5-1.mga3
+ Revision: 280205
- increase lib major
- new version 3.5.5

* Tue Jul 17 2012 ovitters <ovitters> 1:3.5.4-1.mga3
+ Revision: 271986
- new version 3.5.4

* Thu Jul 05 2012 fwang <fwang> 1:3.4.2-1.mga3
+ Revision: 267844
- br gnome-doc-utils
- nautilus plugin does not build with latest nautilus-sendto
- br intltool
- add br on gir
- update br
+ ovitters <ovitters>
- new version 3.4.2

* Tue Jun 12 2012 ovitters <ovitters> 1:3.4.1-1.mga3
+ Revision: 260083
- new version 3.4.1

* Tue Mar 27 2012 ovitters <ovitters> 1:3.4.0-1.mga2
+ Revision: 227062
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 1:3.3.92-1.mga2
+ Revision: 225106
- new version 3.3.92

* Wed Jan 18 2012 wally <wally> 1:3.3.4-1.mga2
+ Revision: 197924
- new version 3.3.4
- new major 10

* Thu Dec 22 2011 wally <wally> 1:3.3.3-1.mga2
+ Revision: 186055
- new version 3.3.3

* Mon Nov 21 2011 wally <wally> 1:3.3.2-1.mga2
+ Revision: 170586
- new version 3.3.2
- new major 9

* Mon Oct 17 2011 wally <wally> 1:3.2.1-1.mga2
+ Revision: 155769
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 1:3.2.0-1.mga2
+ Revision: 148630
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 1:3.1.92-1.mga2
+ Revision: 146068
- new version 3.1.92
- finally fix devel req
+ wally <wally>
- new version 3.1.4
- drop upstreamed patches
+ dmorgan <dmorgan>
- Remove hack as it does not help to  build gs either
- Remove un existing buildrequire
+ colin <colin>
- Add a filthy hack to work around gnome-shell build problem
+ blino <blino>
- properties dialog: Fix segfault when uuids is NULL (reported as Gnome #655659)
- buildrequire gnome-common (was pulled by suggests only)
- add patch from git master to fix build now that libgnome-control-center disappeared
+ ahmad <ahmad>
- Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Thu Jul 14 2011 wally <wally> 1:3.1.3-2.mga2
+ Revision: 123933
- fix typo in Group tags (spotted by Radu-Cristian Fotescu)
- drop old provides/obsoletes
- disable static build for sure
- clean .spec a bit

* Thu Jul 07 2011 wally <wally> 1:3.1.3-1.mga2
+ Revision: 119912
- new version 3.1.3

* Sun Jun 26 2011 dmorgan <dmorgan> 1:3.0.1-2.mga2
+ Revision: 113881
- Fix Requires by adding epoch

* Sun Jun 19 2011 cjw <cjw> 1:3.0.1-1.mga2
+ Revision: 109556
- add udev rules from fedora package to fix rfkill access
+ mikala <mikala>
- Update tarball to 3.0.1
- Fix file list
- Package gir as it's done for libgdata spec
- Add pulseaudio-module-bluetooth as require

* Mon Feb 28 2011 eandry <eandry> 1:2.32.0-2.mga1
+ Revision: 61716
- drop hal BR
- disable introspection for now
- drop buildroot
- drop old obsoletes/provides
- imported package gnome-bluetooth

